This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 497565 - php-pear-Auth_SASL shouldn't require php
php-pear-Auth_SASL shouldn't require php
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: php-pear-Auth-SASL (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 14:36 EDT by Martí­n Marqués
Modified: 2009-05-09 00:20 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0.2-6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 23:56:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martí­n Marqués 2009-04-24 14:36:42 EDT
Description of problem:

Dependency problems. php-pear-Auth_SASL requires php, which requires an httpd server.

I should only require php-pear.

AFAIR in FC7 PHP was split in 2. One part for the mod_php apache module and the php-cli with the executable version.

Version-Release number of selected component (if applicable):

php-pear-Auth-SASL.noarch 1.0.2-4.fc6

How reproducible:

# yum deplist php-pear-Auth-SASL
Loaded plugins: downloadonly, fastestmirror, priorities, refresh-packagekit, security
Loading mirror speeds from cached hostfile
 * rpmfusion-nonfree-updates: mirrors.cat.pdx.edu
 * fedora: www.las.ic.unicamp.br
 * rpmfusion-free-updates: mirrors.cat.pdx.edu
 * rpmfusion-free: mirrors.cat.pdx.edu
 * updates: ftp.wsisiz.edu.pl
 * rpmfusion-nonfree: mirrors.cat.pdx.edu
4 packages excluded due to repository priority protections
Finding dependencies:
package: php-pear-Auth-SASL.noarch 1.0.2-4.fc6
  dependency: /bin/sh
   provider: bash.x86_64 3.2-29.fc10
   provider: bash.x86_64 3.2-30.fc10
  dependency: php-pear(PEAR) >= 1.4.9
   provider: php-pear.noarch 1:1.7.2-2.fc10
  dependency: /usr/bin/pear
   provider: php-pear.noarch 1:1.7.2-2.fc10
  dependency: php >= 4.0.0
   provider: php.x86_64 5.2.6-5

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Remi Collet 2009-04-25 01:41:44 EDT
You're right pear package shouldn't require php (and we have updated the Guidelines for this)

Version check could be done against php-common.

I will fix this minor issue.
Comment 2 Fedora Update System 2009-04-25 02:11:48 EDT
php-pear-Auth-SASL-1.0.2-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-pear-Auth-SASL-1.0.2-6.fc11
Comment 3 Fedora Update System 2009-04-25 02:12:37 EDT
php-pear-Auth-SASL-1.0.2-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-pear-Auth-SASL-1.0.2-6.fc10
Comment 4 Fedora Update System 2009-04-27 17:27:01 EDT
php-pear-Auth-SASL-1.0.2-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-Auth-SASL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3966
Comment 5 Fedora Update System 2009-05-08 23:56:23 EDT
php-pear-Auth-SASL-1.0.2-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-05-09 00:20:56 EDT
php-pear-Auth-SASL-1.0.2-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.